using System;

namespace ConsoleApp3
{
    class Program
    {
        static void Main( string[] args )
        {
            int prviBroj = Convert.ToInt32(Console.ReadLine());
            int drugiBroj = Convert.ToInt32( Console.ReadLine() );
            int noviBroj = 0;
            int x = 1;
            int y = 1;
            int brojCifara = prviBroj.ToString().Length;
            if(drugiBroj>prviBroj)
			{
                brojCifara = drugiBroj.ToString().Length;
            }
			for( int i = 0; i < brojCifara; i++ )
			{
                int prvaCifra = -1;
                int drugaCifra = -1;
                if ( prviBroj >= x )
				{
                    prvaCifra = (prviBroj/x)%10;
				}
                if( drugiBroj >= x )
                {
                   drugaCifra = ( drugiBroj / x ) % 10;
                }
                if( prvaCifra > drugaCifra )
                { 
                    noviBroj += prvaCifra * y; 
                }
                else if (drugaCifra>prvaCifra)
				{
                    noviBroj += drugaCifra * y;
                }
                else
				{
                    noviBroj += prvaCifra * y;
                    y = y * 10;
                    noviBroj += drugaCifra * y;
                }
                y = y * 10;
                x = x * 10;
            }
            Console.WriteLine( noviBroj );
        }
    }
}